function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = gemc.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(767, 1);
residual(1) = y(576)*params(289)+y(871)*params(504);
lhs = y(913);
rhs = log(y(926)/y(222));
residual(2) = lhs - rhs;
lhs = y(914);
rhs = log(y(916)/y(216));
residual(3) = lhs - rhs;
lhs = y(915);
rhs = 1;
residual(4) = lhs - rhs;
lhs = y(926);
rhs = 1/y(916);
residual(5) = lhs - rhs;
lhs = y(927);
rhs = 1;
residual(6) = lhs - rhs;
lhs = y(558);
rhs = y(915)*y(920);
residual(7) = lhs - rhs;
lhs = y(574)*y(462);
rhs = y(915)*y(574)*y(917);
residual(8) = lhs - rhs;
lhs = y(559);
rhs = y(920);
residual(9) = lhs - rhs;
lhs = y(444);
rhs = (1+params(75)*(y(444)+y(1097)))*T(323);
residual(10) = lhs - rhs;
lhs = y(559);
rhs = y(560)+params(75)*T(141);
residual(11) = lhs - rhs;
lhs = y(559)*y(443);
rhs = y(560)*y(442)+params(75)*y(25)*T(141);
residual(12) = lhs - rhs;
lhs = y(709);
rhs = log(y(559)/((steady_state(328))*y(607)));
residual(13) = lhs - rhs;
lhs = y(710);
rhs = log(y(560)/((steady_state(328))*y(607)));
residual(14) = lhs - rhs;
lhs = y(463);
rhs = y(917);
residual(15) = lhs - rhs;
lhs = y(463);
rhs = 1;
residual(16) = lhs - rhs;
lhs = y(578);
rhs = y(576)/T(4)+x(it_, 90);
residual(17) = lhs - rhs;
lhs = y(576);
rhs = y(575);
residual(18) = lhs - rhs;
lhs = y(557);
rhs = y(574)*y(462)+y(558)+y(582)+y(576)*y(916);
residual(19) = lhs - rhs;
lhs = y(590);
rhs = (1+y(515)+y(523))*y(591);
residual(20) = lhs - rhs;
lhs = y(349);
rhs = log(T(297))-log(T(298));
residual(21) = lhs - rhs;
lhs = y(373);
rhs = params(25)*params(95)*exp(y(482)+y(526)+y(478));
residual(22) = lhs - rhs;
lhs = y(617);
rhs = T(150)*T(152);
residual(23) = lhs - rhs;
lhs = y(609);
rhs = T(155)/T(5);
residual(24) = lhs - rhs;
lhs = y(610);
rhs = T(159)/T(5);
residual(25) = lhs - rhs;
lhs = y(611);
rhs = T(161)*T(165);
residual(26) = lhs - rhs;
lhs = y(612);
rhs = T(167)*T(171);
residual(27) = lhs - rhs;
residual(28) = y(446)-y(447)-y(485)-y(575)*params(84)+(1+(steady_state(117))-params(83))*(y(424)+y(1100));
lhs = (1+y(447)-y(497)-params(83))*T(323);
rhs = 1;
residual(29) = lhs - rhs;
lhs = y(446);
rhs = y(802)*y(741);
residual(30) = lhs - rhs;
lhs = y(574)*(1+(steady_state(119)))/exp(params(57)+params(58));
rhs = y(574)+(steady_state(268))*(steady_state(318));
residual(31) = lhs - rhs;
lhs = y(448);
rhs = y(449);
residual(32) = lhs - rhs;
lhs = y(582);
rhs = y(597)*(y(648)+y(649))+(1+y(22)+y(42))*y(99)*T(140);
residual(33) = lhs - rhs;
lhs = y(583);
rhs = (steady_state(117))*y(98)*T(140)+y(597)*y(647)+y(25)*T(141)+y(597)*(y(648)+y(649))+y(597)*y(514)*y(655)+y(597)*y(651)+y(571)+(1-y(517))*y(587)*(y(534)+y(552))-y(655)*y(597)*y(521)-y(655)*y(597)*y(527)+(y(42)+y(22)-params(165))*y(99)*T(140);
residual(34) = lhs - rhs;
lhs = y(429);
rhs = 1-y(590)*y(614)/y(583);
residual(35) = lhs - rhs;
lhs = y(615)*y(591)*params(8)+y(590)*y(615)*(1-params(8))+(steady_state(262)*steady_state(286))*y(515)*T(175);
rhs = y(590)*(y(532)+y(543))+y(597)*y(514)*y(655)/(1-params(173))+y(597)*params(177)*y(652)+y(573)*params(89)+y(587)*(1-y(517)*(1-params(8)))*(y(534)+y(554))-(steady_state(225)*steady_state(188)*steady_state(258))*T(175)-y(655)*y(597)*y(521)*params(175)-y(655)*y(597)*y(527)*params(176);
residual(36) = lhs - rhs;
lhs = y(572);
rhs = T(17)*(steady_state(259)*(steady_state(34)*steady_state(221)*steady_state(38)*params(81)+steady_state(34)*steady_state(221)*steady_state(35)*steady_state(42)-steady_state(224)))+(1-params(8))*y(588)*(y(363)*y(550)*y(367)*params(81)+y(363)*y(550)*y(364)*y(371)-(y(553)+y(534)));
residual(37) = lhs - rhs;
lhs = y(573);
rhs = T(17)*(steady_state(259)*(steady_state(34)*steady_state(221)*steady_state(38)*params(81)+steady_state(34)*steady_state(221)*steady_state(35)*steady_state(42)-steady_state(225)))+(1-params(8))*y(588)*(y(363)*y(550)*y(367)*params(81)+y(363)*y(550)*y(364)*y(371)-(y(534)+y(554)));
residual(38) = lhs - rhs;
lhs = y(571);
rhs = params(173)*y(572)+(1-params(173))*y(573);
residual(39) = lhs - rhs;
lhs = y(453);
rhs = log(y(461)/y(33));
residual(40) = lhs - rhs;
lhs = y(461);
rhs = y(587)*(y(534)+y(552))/(y(597)*y(655));
residual(41) = lhs - rhs;
lhs = y(613);
rhs = params(173)*y(611)+(1-params(173))*y(612);
residual(42) = lhs - rhs;
lhs = T(24)*T(181);
rhs = (1-y(517))*y(587)/T(22);
residual(43) = lhs - rhs;
lhs = y(589);
rhs = y(525)*params(142)+y(587)*T(26)*T(182)/T(22)-y(587)*T(324)*T(325)*T(329)/T(22)-y(587)*params(141)*T(330)-y(587)*params(143)*y(469)/T(22);
residual(44) = lhs - rhs;
lhs = y(588);
rhs = y(587)*(params(87)+y(743));
residual(45) = lhs - rhs;
lhs = y(743);
rhs = params(88)*y(147)+x(it_, 91);
residual(46) = lhs - rhs;
lhs = T(184)*T(192);
rhs = (1-y(517))*y(587)/T(22);
residual(47) = lhs - rhs;
lhs = y(552);
rhs = T(5)*y(367)*y(372)*y(365);
residual(48) = lhs - rhs;
lhs = y(551);
rhs = T(5)*y(367)*y(372);
residual(49) = lhs - rhs;
lhs = y(701);
rhs = log(T(300));
residual(50) = lhs - rhs;
lhs = y(704);
rhs = log(T(301));
residual(51) = lhs - rhs;
lhs = y(634)*y(603);
rhs = y(606)*y(659)+y(631)*y(599);
residual(52) = lhs - rhs;
lhs = exp(y(500));
rhs = (1+y(505))*(1+params(339)*y(506)-params(365)*(1-params(508))*y(827)*params(367));
residual(53) = lhs - rhs;
lhs = y(631);
rhs = (y(500)+y(498)+y(504)-params(194)*(y(56)+y(62)+y(58)))*(steady_state(302))+y(634)*T(34)*(1-params(194))+params(194)*T(3)*y(132)*T(138);
residual(54) = lhs - rhs;
lhs = y(659);
rhs = y(634)*T(36)-(y(500)+y(498)+y(504))*(steady_state(302));
residual(55) = lhs - rhs;
lhs = y(606)*y(659);
rhs = y(597)*y(655)+y(633)*y(602);
residual(56) = lhs - rhs;
lhs = y(655);
rhs = y(659)*(1-params(307)*exp(y(510)))*T(37)-(y(505)+params(339)*y(506))*(steady_state(304));
residual(57) = lhs - rhs;
lhs = y(633);
rhs = (y(505)+params(339)*y(506))*(steady_state(304))*(1-params(197))+T(40)+T(3)*params(197)*y(134)*T(138);
residual(58) = lhs - rhs;
lhs = y(466);
rhs = log(y(633)/(y(134)*T(138)));
residual(59) = lhs - rhs;
lhs = y(602);
rhs = y(916)*y(841)+y(597)*params(320);
residual(60) = lhs - rhs;
lhs = y(454);
rhs = T(41);
residual(61) = lhs - rhs;
lhs = y(660);
rhs = T(45)*T(201);
residual(62) = lhs - rhs;
lhs = y(655)/T(5);
rhs = y(656)/T(5)-y(555)*params(117);
residual(63) = lhs - rhs;
lhs = y(656);
rhs = T(197)*T(46)*T(202);
residual(64) = lhs - rhs;
lhs = y(658)/T(5)+y(556)*params(117);
rhs = T(197)*T(47)*T(203);
residual(65) = lhs - rhs;
lhs = y(459);
rhs = params(188)*y(32)+(1-params(188)*(params(135)==0))*(y(458)-(params(135)>0));
residual(66) = lhs - rhs;
lhs = y(624);
rhs = y(622)+y(623);
residual(67) = lhs - rhs;
lhs = y(469);
rhs = y(470);
residual(68) = lhs - rhs;
lhs = y(470);
rhs = log(T(48));
residual(69) = lhs - rhs;
lhs = y(471);
rhs = log(T(49));
residual(70) = lhs - rhs;
lhs = y(472);
rhs = y(471)+x(it_, 89);
residual(71) = lhs - rhs;
lhs = y(647);
rhs = (1-y(516))*T(204)+y(516)*params(97)*T(51)*T(198)-T(51)*y(619);
residual(72) = lhs - rhs;
lhs = y(640);
rhs = y(641)+y(644)+y(645)+y(646);
residual(73) = lhs - rhs;
lhs = y(641);
rhs = y(655)*params(285)*params(122)/2*T(206);
residual(74) = lhs - rhs;
lhs = y(642);
rhs = T(52)*T(210);
residual(75) = lhs - rhs;
lhs = y(643);
rhs = T(213);
residual(76) = lhs - rhs;
lhs = y(644);
rhs = y(655)*params(119)/2*T(215);
residual(77) = lhs - rhs;
lhs = y(645);
rhs = T(56)*(1-y(516))*T(51)*T(198);
residual(78) = lhs - rhs;
lhs = y(646);
rhs = T(51)*T(219);
residual(79) = lhs - rhs;
lhs = y(433);
rhs = T(57)-(1-params(97));
residual(80) = lhs - rhs;
lhs = y(622);
rhs = y(619)+(1-params(97))*T(198);
residual(81) = lhs - rhs;
lhs = T(331)*T(335)+y(656)*params(74)*y(450)*exp((-y(484)))/(y(552)-exp(y(483))*y(550)*y(363)*params(118))-(y(534)+y(552)-T(1)*(y(91)*T(153)+y(83)*T(153)))*T(220)/(y(91)*T(153))+T(336)*T(341)-(y(552)-exp(params(56)*4)*T(302))*y(655)*params(120)/T(302)/T(302)-y(655)*params(121)/y(552)*(y(552)-1);
rhs = y(587)*(1-y(516))/y(597);
residual(82) = lhs - rhs;
lhs = T(347)*T(351);
rhs = y(456);
residual(83) = lhs - rhs;
lhs = (y(535)+y(619)+y(499)*params(136))/T(198)-y(433);
rhs = y(457)*(params(354)*(T(222)-y(433))-params(353))+T(59)*T(356);
residual(84) = lhs - rhs;
lhs = y(650);
rhs = T(204);
residual(85) = lhs - rhs;
lhs = y(457);
rhs = params(351)-params(352)*T(222);
residual(86) = lhs - rhs;
lhs = y(499);
rhs = x(it_, 33);
residual(87) = lhs - rhs;
lhs = T(60)/(y(458)-y(479));
rhs = (params(133)+(y(458)-1)*params(134)+y(459)*params(135)*params(134))*T(51)*T(198);
residual(88) = lhs - rhs;
lhs = T(62)*T(63);
rhs = y(597)+y(597)*T(363)/T(61);
residual(89) = lhs - rhs;
lhs = y(455);
rhs = 1/y(450);
residual(90) = lhs - rhs;
lhs = y(427);
rhs = log(y(455)/y(29));
residual(91) = lhs - rhs;
lhs = y(354)-params(244)*y(7);
rhs = (1-params(244))*(y(8)-params(57));
residual(92) = lhs - rhs;
lhs = y(598);
rhs = T(64)*T(226);
residual(93) = lhs - rhs;
lhs = y(508)-params(234)*y(65);
rhs = (1-params(234))*(-(params(335)*(exp(3*params(58))*T(227)*y(257)-1)+(params(332)-params(333)-params(334)-params(335))*(T(49)-1)+params(333)*(T(3)*y(137)*T(138)-1)+params(334)*(exp(2*params(58))*T(225)*y(256)-1)));
residual(94) = lhs - rhs;
lhs = y(458);
rhs = y(460)^params(96);
residual(95) = lhs - rhs;
lhs = y(591)*y(614);
rhs = y(603)*y(635)+y(599)*y(626);
residual(96) = lhs - rhs;
lhs = y(596)*y(619);
rhs = y(603)*y(637)+y(599)*y(628);
residual(97) = lhs - rhs;
lhs = y(618)*y(592);
rhs = y(603)*y(636)+y(599)*y(627);
residual(98) = lhs - rhs;
lhs = y(620)*y(593);
rhs = y(603)*y(638)+y(599)*y(629);
residual(99) = lhs - rhs;
lhs = y(649);
rhs = y(932)*y(925)/y(597)-y(932)*y(605)/y(597)-T(213);
residual(100) = lhs - rhs;
lhs = y(605)*y(654);
rhs = y(603)*y(639)+y(599)*y(630);
residual(101) = lhs - rhs;
lhs = y(925);
rhs = T(65)*T(66)-T(211)*T(228)+T(369)*T(370);
residual(102) = lhs - rhs;
lhs = y(924);
rhs = y(916)*y(933);
residual(103) = lhs - rhs;
lhs = y(630);
rhs = (y(500)+y(498)+y(503)-params(194)*(y(58)+y(56)+y(61)))*(steady_state(301))+(1-params(194))*y(654)*T(67)*params(297)*T(68)+params(194)*T(3)*y(131)*T(138);
residual(104) = lhs - rhs;
lhs = y(639);
rhs = y(654)*T(67)*(1-params(297))*T(69)-(y(500)+y(498)+y(503))*(steady_state(301));
residual(105) = lhs - rhs;
residual(106) = y(505);
lhs = y(501)-params(325)*y(59);
rhs = params(336)*(log(T(229))-log(T(305)));
residual(107) = lhs - rhs;
lhs = y(502)-params(325)*y(60);
rhs = params(336)*(log(T(230))-log(T(306)));
residual(108) = lhs - rhs;
lhs = y(503)-y(61)*params(325);
rhs = params(336)*(log(T(231))-log(T(307)));
residual(109) = lhs - rhs;
lhs = y(504)-y(62)*params(325);
rhs = params(336)*(log(y(132)*T(138)/(y(141)*T(138)))-log(T(225)*y(268)/(T(225)*y(269))));
residual(110) = lhs - rhs;
lhs = y(635);
rhs = y(614)*T(70)*(1-params(293))*T(71)-(y(500)+y(498)+y(501))*(steady_state(297));
residual(111) = lhs - rhs;
lhs = y(637);
rhs = y(619)*T(72)*(1-params(295))*T(73)-(y(500)+y(498)+y(502))*(steady_state(299));
residual(112) = lhs - rhs;
lhs = y(636);
rhs = y(618)*T(74)*(1-params(294))*T(75)-(y(500)+y(498))*(steady_state(298));
residual(113) = lhs - rhs;
lhs = y(638);
rhs = y(620)*T(76)*(1-params(296))*T(77)-(y(500)+y(498))*(steady_state(300));
residual(114) = lhs - rhs;
lhs = y(626);
rhs = (steady_state(297))*(y(500)+y(498)+y(501)-params(194)*(y(58)+y(56)+y(59)))+(1-params(194))*y(614)*T(70)*params(293)*T(78)+params(194)*T(3)*y(127)*T(138);
residual(115) = lhs - rhs;
lhs = y(628);
rhs = (steady_state(299))*(y(500)+y(498)+y(502)-params(194)*(y(58)+y(56)+y(60)))+(1-params(194))*y(619)*T(72)*params(295)*T(79)+params(194)*T(3)*y(129)*T(138);
residual(116) = lhs - rhs;
lhs = y(627);
rhs = (steady_state(298))*(y(500)+y(498)-params(194)*(y(56)+y(58)))+(1-params(194))*y(618)*T(74)*params(294)*T(80)+params(194)*T(3)*y(128)*T(138);
residual(117) = lhs - rhs;
lhs = y(629);
rhs = (steady_state(300))*(y(500)+y(498)-params(194)*(y(56)+y(58)))+(1-params(194))*y(620)*T(76)*params(296)*T(81)+params(194)*T(3)*y(130)*T(138);
residual(118) = lhs - rhs;
lhs = y(625);
rhs = y(631)+y(630)+y(629)+y(627)+y(626)+y(628);
residual(119) = lhs - rhs;
lhs = y(600)*y(632);
rhs = y(654)*y(604)-y(577);
residual(120) = lhs - rhs;
lhs = y(600)*y(632);
rhs = T(82)*y(922)*y(916)*y(933)+T(83)*y(633)*y(916)*y(841);
residual(121) = lhs - rhs;
lhs = y(506);
rhs = params(235)*y(63)-(1-params(235))*((params(340)-params(341))*(exp(params(146))*T(233)-1)+params(341)*(exp(2*params(146))*T(234)*y(270)-1));
residual(122) = lhs - rhs;
lhs = y(922);
rhs = y(625)*T(86);
residual(123) = lhs - rhs;
lhs = y(599)*y(625);
rhs = y(922)*T(52)*y(923);
residual(124) = lhs - rhs;
lhs = y(654)*y(604);
rhs = y(932)*y(925);
residual(125) = lhs - rhs;
lhs = y(648);
rhs = T(52)*(y(922)*y(923)/y(597)-y(922)*y(916)*y(933)/y(597)-T(210));
residual(126) = lhs - rhs;
lhs = y(923);
rhs = T(87)*T(88)-T(208)*T(236)+T(373)*T(374);
residual(127) = lhs - rhs;
lhs = y(921);
rhs = log(T(207));
residual(128) = lhs - rhs;
lhs = y(654);
rhs = y(932);
residual(129) = lhs - rhs;
lhs = y(579);
rhs = y(577)/T(4);
residual(130) = lhs - rhs;
lhs = y(577);
rhs = y(654)*y(604)+y(922)*y(933)*y(916)*(-T(52))-y(633)*y(916)*y(841);
residual(131) = lhs - rhs;
lhs = y(575);
rhs = y(657)*y(607)*params(168)+y(577)+(1+(steady_state(117)))*y(98)*T(140);
residual(132) = lhs - rhs;
lhs = (1+y(434)-params(165)+y(480))*T(323);
rhs = 1;
residual(133) = lhs - rhs;
lhs = y(445);
rhs = params(192)*y(27)+y(442)*(1-params(192));
residual(134) = lhs - rhs;
lhs = (y(618)*y(592)-T(239))/T(90);
rhs = y(528)+y(487)+T(239)*T(245)/T(90)-params(91)*params(77)*(T(239)/T(246)-params(156))-(1-params(91))*y(48)-y(78);
residual(135) = lhs - rhs;
lhs = (y(620)*y(593)-T(247))/T(90);
rhs = y(529)+y(492)+T(245)*T(247)/T(90)-params(92)*params(78)*(T(247)/T(246)-params(162))-(1-params(92))*y(52)-y(79);
residual(136) = lhs - rhs;
lhs = (y(597)*y(651)-y(107)*T(139)*y(135)*T(138))/T(90);
rhs = y(530)+y(513)+T(245)*y(107)*T(139)*y(135)*T(138)/T(90)-params(93)*params(79)*(y(107)*T(139)*y(135)*T(138)/T(246)-params(346)/(T(90)))-(1-params(93))*y(69)-y(80);
residual(137) = lhs - rhs;
lhs = y(377);
rhs = (-((y(597)*y(651)+y(618)*y(592)+y(620)*y(593)-(y(107)*T(139)*y(135)*T(138)+T(239)+T(247)))/T(90)-(y(107)*T(139)*y(135)*T(138)+T(239)+T(247))*(exp(y(356))*T(240)-1)/T(90)));
residual(138) = lhs - rhs;
lhs = y(378);
rhs = (-((y(618)*y(592)+y(620)*y(593)-(T(239)+T(247)))/T(90)-(T(239)+T(247))*(exp(y(356))*T(240)-1)/T(90)));
residual(139) = lhs - rhs;
lhs = y(379);
rhs = y(378)+y(563)/T(90);
residual(140) = lhs - rhs;
lhs = y(521);
rhs = params(34)*y(522)+(1-x(it_, 23))*params(102)*(T(141)/T(246)-params(94))+params(260)*y(74)+(1-x(it_, 23))*params(105)*((T(141)-T(143)*T(225)*y(273))/T(246)-params(99));
residual(141) = lhs - rhs;
lhs = y(522);
rhs = params(261)*y(75)+x(it_, 82);
residual(142) = lhs - rhs;
lhs = y(527);
rhs = x(it_, 83)+x(it_, 49)+x(it_, 60);
residual(143) = lhs - rhs;
lhs = y(523);
rhs = x(it_, 84);
residual(144) = lhs - rhs;
lhs = y(559);
rhs = y(571)+y(597)*y(514)*y(655)+y(597)*y(651)+y(620)*y(593)+y(618)*y(592)+(1+y(25))*T(141)-y(563);
residual(145) = lhs - rhs;
lhs = y(564);
rhs = y(563)-y(618)*y(592)-y(620)*y(593)-y(597)*y(651)-y(597)*y(514)*y(655)-y(571);
residual(146) = lhs - rhs;
lhs = y(565);
rhs = y(564)-log(T(49))*params(80);
residual(147) = lhs - rhs;
lhs = y(376);
rhs = y(564)/T(90);
residual(148) = lhs - rhs;
lhs = y(563);
rhs = y(566)+y(567)+y(568)+y(569)+y(570);
residual(149) = lhs - rhs;
lhs = y(566);
rhs = (1-params(8))*y(516)*(y(597)*y(655)-y(587)*(y(534)+y(552))-params(97)*y(596)*T(198))+y(516)*T(175)*T(248);
residual(150) = lhs - rhs;
lhs = y(567);
rhs = y(517)*(1-params(8))*y(587)*(y(534)+y(552))+(steady_state(188)*steady_state(258)*steady_state(223))*T(175);
residual(151) = lhs - rhs;
lhs = y(568);
rhs = y(614)*y(591)*(1-params(8))*(y(515)+y(523))+(steady_state(262)*steady_state(285))*y(515)*T(175);
residual(152) = lhs - rhs;
lhs = y(569);
rhs = y(633)*y(597)*(1-params(8))*params(320)+(steady_state(268)*steady_state(304))*params(320)*T(175);
residual(153) = lhs - rhs;
lhs = y(570);
rhs = y(655)*y(597)*y(521)+y(655)*y(597)*y(527);
residual(154) = lhs - rhs;
lhs = y(561);
rhs = y(25)*T(141);
residual(155) = lhs - rhs;
lhs = y(562);
rhs = T(2)*T(3)*(y(561)+y(1126));
residual(156) = lhs - rhs;
lhs = y(623);
rhs = y(620)+(1-params(98))*y(124)*T(196);
residual(157) = lhs - rhs;
lhs = y(614);
rhs = params(173)*y(616)+(1-params(173))*y(615);
residual(158) = lhs - rhs;
lhs = y(552);
rhs = params(173)*y(553)+(1-params(173))*y(554);
residual(159) = lhs - rhs;
lhs = y(553);
rhs = y(554);
residual(160) = lhs - rhs;
lhs = y(651);
rhs = params(173)*y(653)+(1-params(173))*y(652);
residual(161) = lhs - rhs;
lhs = y(653);
rhs = y(652);
residual(162) = lhs - rhs;
lhs = y(584);
rhs = y(468)*y(580);
residual(163) = lhs - rhs;
lhs = y(468);
rhs = params(349)+y(509);
residual(164) = lhs - rhs;
lhs = y(509);
rhs = params(14)*x(it_, 73)+(params(238)+params(239))*y(66)-params(238)*params(239)*y(274);
residual(165) = lhs - rhs;
lhs = T(90);
rhs = y(584)+y(577)+y(620)*y(593)+y(618)*y(592)+y(590)*y(614)+y(596)*y(619);
residual(166) = lhs - rhs;
lhs = y(657);
rhs = y(655);
residual(167) = lhs - rhs;
lhs = y(580);
rhs = T(90);
residual(168) = lhs - rhs;
lhs = y(597)*y(655)+y(597)*y(633)*params(320);
rhs = y(584)+y(577)+y(620)*y(593)+y(618)*y(592)+y(591)*y(614)+y(596)*y(619);
residual(169) = lhs - rhs;
lhs = y(594);
rhs = (y(596)*y(596)*y(619)+y(593)*y(620)*y(593))/y(621)/y(594);
residual(170) = lhs - rhs;
lhs = y(594)*y(621);
rhs = y(596)*y(619)+y(620)*y(593);
residual(171) = lhs - rhs;
lhs = y(438);
rhs = y(434)-(y(356)+y(1127));
residual(172) = lhs - rhs;
lhs = y(439);
rhs = y(449)-(y(351)+y(1128));
residual(173) = lhs - rhs;
lhs = y(440);
rhs = y(434)-(y(348)+y(1129));
residual(174) = lhs - rhs;
lhs = y(441);
rhs = y(434)-(y(351)+y(1128));
residual(175) = lhs - rhs;
lhs = y(347);
rhs = log(T(249));
residual(176) = lhs - rhs;
lhs = y(348);
rhs = log(T(250));
residual(177) = lhs - rhs;
lhs = y(451)*((steady_state(285))+(steady_state(289)));
rhs = (steady_state(285))*y(347)+(steady_state(289))*y(350);
residual(178) = lhs - rhs;
lhs = y(350);
rhs = log(T(251));
residual(179) = lhs - rhs;
lhs = y(351);
rhs = log(T(252));
residual(180) = lhs - rhs;
lhs = y(352);
rhs = log(T(253));
residual(181) = lhs - rhs;
lhs = y(353);
rhs = log(T(254));
residual(182) = lhs - rhs;
lhs = y(452);
rhs = log(y(602)/(y(111)*T(139)));
residual(183) = lhs - rhs;
lhs = y(357);
rhs = log(y(599)/(y(109)*T(139)));
residual(184) = lhs - rhs;
lhs = y(358);
rhs = log(y(600)/(y(110)*T(139)));
residual(185) = lhs - rhs;
lhs = y(359);
rhs = log(y(604)/(y(113)*T(139)));
residual(186) = lhs - rhs;
lhs = y(356);
rhs = log(y(607)/(y(114)*T(139)));
residual(187) = lhs - rhs;
lhs = y(360);
rhs = log(T(182));
residual(188) = lhs - rhs;
lhs = T(323)*T(375);
rhs = 1;
residual(189) = lhs - rhs;
lhs = T(323)*T(376);
rhs = 1;
residual(190) = lhs - rhs;
lhs = y(918);
rhs = params(362)*y(217)+params(34)*x(it_, 128);
residual(191) = lhs - rhs;
lhs = y(919);
rhs = params(363)*y(218)+params(31)*x(it_, 129);
residual(192) = lhs - rhs;
lhs = log(y(556));
rhs = params(33)*x(it_, 86)+y(343)+params(23)*log(T(233))-(1-params(23))*(steady_state(14));
residual(193) = lhs - rhs;
lhs = log(y(545));
rhs = params(62)*(y(331)+params(23)*log(y(85)*T(142)))-params(147)*(1-params(23));
residual(194) = lhs - rhs;
lhs = log(y(546));
rhs = params(63)*(y(332)+params(23)*log(y(86)*1/exp(params(148))))-params(148)*(1-params(23));
residual(195) = lhs - rhs;
lhs = log(y(547));
rhs = params(64)*(y(333)+params(23)*log(y(87)*T(195)))-params(149)*(1-params(23));
residual(196) = lhs - rhs;
lhs = log(y(369));
rhs = (params(23)*log(y(15))+y(335))*params(66);
residual(197) = lhs - rhs;
lhs = log(y(370));
rhs = (log(y(16))+y(337))*params(70);
residual(198) = lhs - rhs;
lhs = log(y(371));
rhs = (log(y(17))+y(339))*params(72);
residual(199) = lhs - rhs;
lhs = log(y(363));
rhs = (params(23)*log(y(11))+y(336))*params(69);
residual(200) = lhs - rhs;
lhs = log(y(550));
rhs = params(73)*(y(341)+params(23)*log(y(89)*T(153))-params(56)*(1-params(23)));
residual(201) = lhs - rhs;
lhs = y(355);
rhs = log(T(205));
residual(202) = lhs - rhs;
lhs = y(368);
rhs = (y(367)+y(14)+y(275)+y(276))/4;
residual(203) = lhs - rhs;
lhs = y(366);
rhs = 4*T(301)/T(299);
residual(204) = lhs - rhs;
lhs = y(330);
rhs = log(y(555)/(y(94)*T(232)));
residual(205) = lhs - rhs;
lhs = log(y(555));
rhs = log(y(556))+y(477);
residual(206) = lhs - rhs;
lhs = y(345);
rhs = y(681)-y(145)+params(74)*(params(58)-params(56))-params(149)*(1-params(74));
residual(207) = lhs - rhs;
lhs = y(344);
rhs = params(74)*y(330);
residual(208) = lhs - rhs;
lhs = y(417);
rhs = log(T(214));
residual(209) = lhs - rhs;
lhs = y(416);
rhs = log(y(372)/y(18));
residual(210) = lhs - rhs;
lhs = y(336);
rhs = params(219)*y(2)+y(488);
residual(211) = lhs - rhs;
lhs = y(338);
rhs = log(y(365)/y(13));
residual(212) = lhs - rhs;
lhs = log(y(365));
rhs = log(y(370))+y(489);
residual(213) = lhs - rhs;
residual(214) = y(337);
lhs = y(340);
rhs = log(y(367)/y(14));
residual(215) = lhs - rhs;
lhs = log(y(367));
rhs = log(y(371))+y(490);
residual(216) = lhs - rhs;
lhs = y(339);
rhs = x(it_, 16);
residual(217) = lhs - rhs;
lhs = y(341);
rhs = params(225)*y(3)+y(491)+params(56)*(1-params(225));
residual(218) = lhs - rhs;
lhs = y(331);
rhs = params(147)+y(473);
residual(219) = lhs - rhs;
lhs = y(473);
rhs = params(200)*y(35)+params(35)*x(it_, 1);
residual(220) = lhs - rhs;
lhs = y(332);
rhs = params(148)+y(474);
residual(221) = lhs - rhs;
lhs = y(474);
rhs = params(201)*y(36)+params(35)*x(it_, 2);
residual(222) = lhs - rhs;
lhs = y(333);
rhs = params(149)+y(475);
residual(223) = lhs - rhs;
lhs = y(475);
rhs = params(202)*y(37)+params(35)*x(it_, 3);
residual(224) = lhs - rhs;
lhs = y(548);
rhs = y(547)*exp(y(476));
residual(225) = lhs - rhs;
lhs = y(476);
rhs = params(203)*y(38)+params(35)*x(it_, 4);
residual(226) = lhs - rhs;
lhs = y(334);
rhs = log(y(548)/(y(88)*T(195)));
residual(227) = lhs - rhs;
residual(228) = y(335);
lhs = y(342);
rhs = log(T(255));
residual(229) = lhs - rhs;
lhs = y(346);
rhs = log(T(240));
residual(230) = lhs - rhs;
lhs = y(550)*y(363)*y(364)*y(371);
rhs = y(549)+x(it_, 87);
residual(231) = lhs - rhs;
lhs = y(404);
rhs = (y(596)*y(619)+y(577))/T(90);
residual(232) = lhs - rhs;
lhs = y(385);
rhs = y(590)*y(614)/T(90);
residual(233) = lhs - rhs;
lhs = y(386);
rhs = y(633)*y(916)*y(841)/T(90);
residual(234) = lhs - rhs;
lhs = y(585);
rhs = y(633)*y(916)*y(841);
residual(235) = lhs - rhs;
lhs = y(586);
rhs = log(y(585)/T(4));
residual(236) = lhs - rhs;
lhs = y(430);
rhs = (y(577)+y(585))/y(580);
residual(237) = lhs - rhs;
lhs = y(388);
rhs = log(y(386));
residual(238) = lhs - rhs;
lhs = y(387);
rhs = log(y(385));
residual(239) = lhs - rhs;
lhs = y(389);
rhs = y(618)*y(592)/T(90);
residual(240) = lhs - rhs;
lhs = y(391);
rhs = log(y(389));
residual(241) = lhs - rhs;
lhs = y(398);
rhs = y(599)*y(625)/T(90);
residual(242) = lhs - rhs;
lhs = y(399);
rhs = y(600)*y(632)/T(90);
residual(243) = lhs - rhs;
lhs = y(400);
rhs = log(y(399));
residual(244) = lhs - rhs;
lhs = y(401);
rhs = y(654)*y(604)/T(90);
residual(245) = lhs - rhs;
lhs = y(402);
rhs = log(y(401));
residual(246) = lhs - rhs;
lhs = y(405);
rhs = y(587)*(y(534)+y(552))/T(90);
residual(247) = lhs - rhs;
lhs = y(581);
rhs = y(587)*(y(534)+y(552));
residual(248) = lhs - rhs;
lhs = y(661);
rhs = y(657)/y(552);
residual(249) = lhs - rhs;
lhs = y(406);
rhs = log(y(405));
residual(250) = lhs - rhs;
lhs = y(423);
rhs = log(y(655)/(y(137)*T(138)));
residual(251) = lhs - rhs;
lhs = y(425);
rhs = log(T(242));
residual(252) = lhs - rhs;
lhs = y(426);
rhs = log(y(624)/(y(125)*T(196)));
residual(253) = lhs - rhs;
lhs = y(407);
rhs = log(y(559)/T(141));
residual(254) = lhs - rhs;
lhs = y(408);
rhs = log(y(614)/(y(116)*T(151)));
residual(255) = lhs - rhs;
lhs = y(409);
rhs = log(y(615)/(y(117)*T(151)));
residual(256) = lhs - rhs;
lhs = y(410);
rhs = log(y(616)/(y(118)*T(151)));
residual(257) = lhs - rhs;
lhs = y(411);
rhs = log(y(618)/T(238));
residual(258) = lhs - rhs;
lhs = y(415);
rhs = log(T(256));
residual(259) = lhs - rhs;
lhs = y(412);
rhs = log(y(619)/(y(121)*T(196)));
residual(260) = lhs - rhs;
lhs = y(413);
rhs = log(y(620)/(y(122)*T(196)));
residual(261) = lhs - rhs;
lhs = y(414);
rhs = log(y(651)/(y(135)*T(138)));
residual(262) = lhs - rhs;
lhs = y(418);
rhs = log(T(257));
residual(263) = lhs - rhs;
lhs = y(419);
rhs = log(T(258));
residual(264) = lhs - rhs;
lhs = y(420);
rhs = log(y(625)/(y(126)*T(138)));
residual(265) = lhs - rhs;
lhs = y(421);
rhs = log(T(259));
residual(266) = lhs - rhs;
lhs = y(422);
rhs = log(T(260));
residual(267) = lhs - rhs;
lhs = y(428);
rhs = y(576)*y(916)/y(657)/y(607);
residual(268) = lhs - rhs;
lhs = y(392);
rhs = y(596)*y(619)/T(90);
residual(269) = lhs - rhs;
lhs = y(393);
rhs = log(y(392));
residual(270) = lhs - rhs;
lhs = y(394);
rhs = y(620)*y(593)/T(90);
residual(271) = lhs - rhs;
lhs = y(397);
rhs = log(y(394));
residual(272) = lhs - rhs;
lhs = y(395);
rhs = log(T(91));
residual(273) = lhs - rhs;
lhs = y(396);
rhs = log(y(593)/y(596));
residual(274) = lhs - rhs;
lhs = y(403);
rhs = log((steady_state(278))*y(604)/y(607));
residual(275) = lhs - rhs;
lhs = y(730);
rhs = log((steady_state(278))*y(594)/y(607));
residual(276) = lhs - rhs;
lhs = y(731);
rhs = log((steady_state(279))*y(595)/y(608));
residual(277) = lhs - rhs;
lhs = y(595);
rhs = (y(593)+y(104)*exp(params(149))*T(139)+exp(params(149))*exp(params(149))*T(143)*y(277)+exp(params(149))*exp(params(149))*exp(params(149))*T(145)*y(278))/4;
residual(278) = lhs - rhs;
lhs = y(608);
rhs = (y(607)+y(114)*T(139)+T(143)*y(279)+T(145)*y(280))/4;
residual(279) = lhs - rhs;
lhs = y(431);
rhs = y(577)/T(90);
residual(280) = lhs - rhs;
lhs = y(432);
rhs = y(431)-y(21);
residual(281) = lhs - rhs;
lhs = y(374);
rhs = y(558)/(y(597)*y(655));
residual(282) = lhs - rhs;
lhs = y(375);
rhs = y(559)/T(90);
residual(283) = lhs - rhs;
lhs = y(380);
rhs = log(y(375));
residual(284) = lhs - rhs;
lhs = y(381);
rhs = y(561)/T(90);
residual(285) = lhs - rhs;
lhs = y(383);
rhs = log(y(381));
residual(286) = lhs - rhs;
lhs = y(382);
rhs = log(y(561)/T(4));
residual(287) = lhs - rhs;
lhs = y(515);
rhs = params(315)+y(520);
residual(288) = lhs - rhs;
lhs = y(517);
rhs = y(518)+params(318)+(1-params(8))*params(318)*params(116)*(y(587)-y(597)*(steady_state(258)))/(steady_state(258));
residual(289) = lhs - rhs;
lhs = y(516);
rhs = params(316)+y(519);
residual(290) = lhs - rhs;
lhs = y(384);
rhs = log(y(390));
residual(291) = lhs - rhs;
lhs = y(390);
rhs = (y(571)+y(597)*y(651)+y(597)*y(514)*y(655))/T(90);
residual(292) = lhs - rhs;
lhs = y(526);
rhs = params(248)*y(77)+params(31)*params(306)*x(it_, 32);
residual(293) = lhs - rhs;
lhs = y(478);
rhs = params(247)*y(40)+params(31)*params(305)*x(it_, 17);
residual(294) = lhs - rhs;
lhs = y(531);
rhs = x(it_, 37)+x(it_, 54)+x(it_, 65);
residual(295) = lhs - rhs;
lhs = y(532);
rhs = x(it_, 25);
residual(296) = lhs - rhs;
lhs = y(533);
rhs = x(it_, 38)+x(it_, 55)+x(it_, 66);
residual(297) = lhs - rhs;
lhs = y(534);
rhs = x(it_, 12)+y(83)*params(208)+x(it_, 58)-params(208)*x(it_-1, 58)+x(it_, 69)-params(208)*x(it_-1, 69);
residual(298) = lhs - rhs;
lhs = y(535);
rhs = x(it_, 39);
residual(299) = lhs - rhs;
lhs = y(477);
rhs = params(206)*y(39)+params(33)*x(it_, 5)+params(7)*x(it_, 131);
residual(300) = lhs - rhs;
lhs = y(479);
rhs = params(215)*y(41)+x(it_, 6);
residual(301) = lhs - rhs;
lhs = y(480);
rhs = y(42)*params(209)+params(31)*x(it_, 7);
residual(302) = lhs - rhs;
lhs = y(481);
rhs = params(210)*y(43)+params(31)*x(it_, 8);
residual(303) = lhs - rhs;
lhs = y(482);
rhs = params(211)*y(44)+params(31)*x(it_, 9);
residual(304) = lhs - rhs;
lhs = y(483);
rhs = params(212)*y(45)+x(it_, 10);
residual(305) = lhs - rhs;
lhs = y(484);
rhs = params(207)*y(46)+params(32)*x(it_, 11);
residual(306) = lhs - rhs;
residual(307) = y(486);
lhs = y(485);
rhs = params(214)*y(47)+params(20)*x(it_, 18);
residual(308) = lhs - rhs;
lhs = y(497);
rhs = params(230)*y(55)+x(it_, 26);
residual(309) = lhs - rhs;
lhs = y(487);
rhs = y(48)*params(216)+params(34)*x(it_, 19);
residual(310) = lhs - rhs;
lhs = y(528);
rhs = params(34)*x(it_, 34)+params(34)*x(it_, 50)+params(34)*x(it_, 61);
residual(311) = lhs - rhs;
lhs = y(488);
rhs = params(218)*y(49)+params(18)*x(it_, 13);
residual(312) = lhs - rhs;
residual(313) = y(489);
lhs = y(490);
rhs = params(222)*y(50)+x(it_, 15);
residual(314) = lhs - rhs;
lhs = y(491);
rhs = params(224)*y(51)+params(18)*x(it_, 14);
residual(315) = lhs - rhs;
lhs = y(492);
rhs = y(52)*params(228)+params(34)*(x(it_, 20)+params(227)*x(it_-1, 20));
residual(316) = lhs - rhs;
lhs = y(529);
rhs = params(34)*x(it_, 35)+params(34)*x(it_, 51)+params(34)*x(it_, 62);
residual(317) = lhs - rhs;
lhs = y(498);
rhs = y(56)*params(229)+params(19)*x(it_, 28);
residual(318) = lhs - rhs;
lhs = y(507);
rhs = params(233)*y(64)+params(32)*x(it_, 30);
residual(319) = lhs - rhs;
lhs = y(510);
rhs = params(16)*x(it_, 74)+(params(240)+params(242))*y(67)-params(240)*params(242)*y(281);
residual(320) = lhs - rhs;
lhs = y(511)-y(68)*params(23);
rhs = params(19)*x(it_, 76)+params(252)*(y(68)-params(23)*y(266));
residual(321) = lhs - rhs;
lhs = y(512);
rhs = x(it_, 41)+x(it_, 56)+x(it_, 67);
residual(322) = lhs - rhs;
lhs = y(513);
rhs = y(69)*params(255)+params(34)*x(it_, 77);
residual(323) = lhs - rhs;
lhs = y(530);
rhs = params(34)*x(it_, 36)+params(34)*x(it_, 52)+params(34)*x(it_, 63);
residual(324) = lhs - rhs;
lhs = y(518);
rhs = params(257)*y(71)+params(34)*x(it_, 79);
residual(325) = lhs - rhs;
lhs = y(519);
rhs = params(258)*y(72)+params(34)*x(it_, 80);
residual(326) = lhs - rhs;
lhs = y(514);
rhs = x(it_, 78)+x(it_, 53)+x(it_, 64);
residual(327) = lhs - rhs;
lhs = y(520);
rhs = params(259)*y(73)+x(it_, 81);
residual(328) = lhs - rhs;
lhs = y(524);
rhs = params(262)*y(76)+params(32)*x(it_, 88)/(1-params(144))/(steady_state(258))/(1-(steady_state(188))-params(87));
residual(329) = lhs - rhs;
lhs = y(525);
rhs = params(32)*x(it_, 40)+params(32)*x(it_, 57)+params(32)*x(it_, 68);
residual(330) = lhs - rhs;
lhs = y(536);
rhs = x(it_, 42);
residual(331) = lhs - rhs;
lhs = y(537);
rhs = x(it_, 43);
residual(332) = lhs - rhs;
lhs = y(538);
rhs = x(it_, 44);
residual(333) = lhs - rhs;
lhs = y(539);
rhs = x(it_, 45);
residual(334) = lhs - rhs;
lhs = y(540);
rhs = x(it_, 46);
residual(335) = lhs - rhs;
lhs = y(541);
rhs = x(it_, 47);
residual(336) = lhs - rhs;
lhs = y(542);
rhs = x(it_, 48);
residual(337) = lhs - rhs;
lhs = y(543);
rhs = x(it_, 71);
residual(338) = lhs - rhs;
lhs = y(544);
rhs = x(it_, 72)+x(it_, 59)+x(it_, 70);
residual(339) = lhs - rhs;
lhs = y(343);
rhs = params(217)*y(4)+params(33)*x(it_, 85)+params(146)*(1-params(217));
residual(340) = lhs - rhs;
lhs = y(742);
rhs = log(y(916));
residual(341) = lhs - rhs;
lhs = y(740);
rhs = y(742)+y(891)-y(729);
residual(342) = lhs - rhs;
lhs = y(662);
rhs = y(741)*y(742);
residual(343) = lhs - rhs;
lhs = y(424);
rhs = y(662)-y(142);
residual(344) = lhs - rhs;
lhs = y(663);
rhs = y(741)*y(740);
residual(345) = lhs - rhs;
lhs = y(741);
rhs = ((steady_state(603)*steady_state(596)+steady_state(587)*(steady_state(593)*T(52)*steady_state(604)+steady_state(304)*steady_state(512)))/(steady_state(271)*steady_state(303)+steady_state(325)*steady_state(275)));
residual(346) = lhs - rhs;
lhs = y(664);
rhs = y(721)-y(718);
residual(347) = lhs - rhs;
lhs = y(665);
rhs = y(721)-y(722);
residual(348) = lhs - rhs;
lhs = y(464);
rhs = y(664)-y(143);
residual(349) = lhs - rhs;
lhs = y(465);
rhs = y(665)-y(144);
residual(350) = lhs - rhs;
lhs = y(666);
rhs = log(y(545));
residual(351) = lhs - rhs;
lhs = y(667);
rhs = log(y(546));
residual(352) = lhs - rhs;
lhs = y(668);
rhs = log(y(547));
residual(353) = lhs - rhs;
lhs = y(669);
rhs = y(668)+log(y(548)/y(547));
residual(354) = lhs - rhs;
lhs = y(670);
rhs = log(y(369));
residual(355) = lhs - rhs;
lhs = y(671)*params(37);
rhs = log(y(363));
residual(356) = lhs - rhs;
lhs = y(675);
rhs = log(y(549));
residual(357) = lhs - rhs;
lhs = y(676);
rhs = log(y(367));
residual(358) = lhs - rhs;
lhs = y(678);
rhs = log(y(371));
residual(359) = lhs - rhs;
lhs = y(672);
rhs = log(y(365));
residual(360) = lhs - rhs;
lhs = y(674);
rhs = log(y(370));
residual(361) = lhs - rhs;
lhs = y(673);
rhs = log(y(366));
residual(362) = lhs - rhs;
lhs = y(677);
rhs = log(y(368));
residual(363) = lhs - rhs;
lhs = y(679)*params(36);
rhs = log(y(550));
residual(364) = lhs - rhs;
lhs = y(680);
rhs = log(y(597));
residual(365) = lhs - rhs;
lhs = y(681);
rhs = x(it_, 27)+params(74)*log(1-params(118))+log(T(94))+(1-params(74))*log(T(4))+log(params(85))+params(74)*log(y(556))-log(1+params(117));
residual(366) = lhs - rhs;
lhs = y(682);
rhs = log(y(614)/T(95));
residual(367) = lhs - rhs;
lhs = y(683);
rhs = y(537)+y(682)+y(712);
residual(368) = lhs - rhs;
lhs = y(684);
rhs = log(y(616)/T(95));
residual(369) = lhs - rhs;
lhs = y(685);
rhs = log(y(615)/T(95));
residual(370) = lhs - rhs;
lhs = y(686);
rhs = log(y(618)/T(4));
residual(371) = lhs - rhs;
lhs = y(687);
rhs = y(541)+log(y(618)*y(592)/T(4));
residual(372) = lhs - rhs;
lhs = y(688);
rhs = log(y(620)/T(4));
residual(373) = lhs - rhs;
lhs = y(689);
rhs = log(y(620)*y(593)/T(4));
residual(374) = lhs - rhs;
lhs = y(690);
rhs = log(y(619)/T(4));
residual(375) = lhs - rhs;
lhs = y(691);
rhs = log(y(621)/T(4));
residual(376) = lhs - rhs;
lhs = y(692);
rhs = y(538)+log(y(594)*y(621)/T(4));
residual(377) = lhs - rhs;
lhs = y(693);
rhs = log(y(624)/T(4));
residual(378) = lhs - rhs;
lhs = y(694);
rhs = log(y(655));
residual(379) = lhs - rhs;
lhs = y(695);
rhs = log(y(634));
residual(380) = lhs - rhs;
lhs = y(696);
rhs = log(T(13));
residual(381) = lhs - rhs;
lhs = y(697);
rhs = y(536)+log(T(261));
residual(382) = lhs - rhs;
lhs = y(698);
rhs = log(y(658)/(steady_state(328)));
residual(383) = lhs - rhs;
lhs = y(699);
rhs = log(y(557));
residual(384) = lhs - rhs;
lhs = y(702);
rhs = log(y(372));
residual(385) = lhs - rhs;
lhs = y(700);
rhs = log(y(551));
residual(386) = lhs - rhs;
lhs = y(703);
rhs = y(540)+log(y(552));
residual(387) = lhs - rhs;
lhs = y(705);
rhs = log(y(559)/T(4));
residual(388) = lhs - rhs;
lhs = y(706);
rhs = log(y(563)/T(4));
residual(389) = lhs - rhs;
lhs = y(707);
rhs = log(T(262));
residual(390) = lhs - rhs;
lhs = y(708);
rhs = log(y(587)/((steady_state(328))*y(607)));
residual(391) = lhs - rhs;
lhs = y(361);
rhs = y(708)-y(146);
residual(392) = lhs - rhs;
lhs = y(362);
rhs = y(360)-y(348);
residual(393) = lhs - rhs;
lhs = y(711);
rhs = log(y(633));
residual(394) = lhs - rhs;
lhs = y(712);
rhs = log(y(590)/(steady_state(261)));
residual(395) = lhs - rhs;
lhs = y(713);
rhs = log(y(591));
residual(396) = lhs - rhs;
lhs = y(714);
rhs = log(y(592));
residual(397) = lhs - rhs;
lhs = y(715);
rhs = log(y(596));
residual(398) = lhs - rhs;
lhs = y(716);
rhs = log(y(593));
residual(399) = lhs - rhs;
lhs = y(717);
rhs = log(y(594));
residual(400) = lhs - rhs;
lhs = y(718);
rhs = log(y(600)/(steady_state(271)));
residual(401) = lhs - rhs;
lhs = y(722);
rhs = log(y(599)/(steady_state(270)));
residual(402) = lhs - rhs;
lhs = y(719);
rhs = log(T(41));
residual(403) = lhs - rhs;
lhs = y(721);
rhs = log(y(604));
residual(404) = lhs - rhs;
lhs = y(729);
rhs = log(y(607)/(steady_state(278)));
residual(405) = lhs - rhs;
lhs = y(720);
rhs = log(y(603));
residual(406) = lhs - rhs;
lhs = y(732);
rhs = log(y(625)/T(4));
residual(407) = lhs - rhs;
lhs = y(733);
rhs = log(T(96));
residual(408) = lhs - rhs;
lhs = y(734);
rhs = y(539)+y(718)+y(733);
residual(409) = lhs - rhs;
lhs = y(735);
rhs = log(y(654)/T(4));
residual(410) = lhs - rhs;
lhs = y(736);
rhs = y(542)+log(y(654)*y(604)/T(4));
residual(411) = lhs - rhs;
lhs = y(737);
rhs = log(T(97));
residual(412) = lhs - rhs;
lhs = y(738);
rhs = log(T(98));
residual(413) = lhs - rhs;
lhs = y(739);
rhs = log(T(99));
residual(414) = lhs - rhs;
lhs = y(723);
rhs = y(712)-y(729);
residual(415) = lhs - rhs;
lhs = y(724);
rhs = y(713)-y(729);
residual(416) = lhs - rhs;
lhs = y(725);
rhs = y(714)-y(729);
residual(417) = lhs - rhs;
lhs = y(726);
rhs = y(715)-y(729);
residual(418) = lhs - rhs;
lhs = y(727);
rhs = y(716)-y(729);
residual(419) = lhs - rhs;
lhs = y(728);
rhs = y(718)-y(729);
residual(420) = lhs - rhs;
lhs = y(435)-params(163);
rhs = params(12)*y(495)+params(183)*(params(12)*y(23)+y(22)*(1-params(12))-params(163))+(1-params(183))*(T(308)+(params(13)*params(107)+(1-params(13))*params(106))*0.25*(y(349)-params(180))+T(308)+params(110)*(log(0.25*(T(227)*y(257)+y(137)*T(138)+T(225)*y(256)+T(263)*y(287)))-log(0.25*(T(263)*y(286)+y(140)*T(138)+T(225)*y(284)+T(227)*y(285)))));
residual(421) = lhs - rhs;
residual(422) = y(493);
lhs = y(495);
rhs = params(185)*(1-params(30))*y(53)+params(15)*x(it_, 21)+params(15)*params(184)*x(it_-1, 21);
residual(423) = lhs - rhs;
lhs = y(496);
rhs = params(186)*y(54)+params(15)*x(it_, 22);
residual(424) = lhs - rhs;
lhs = y(434);
rhs = y(495)+y(22)*x(it_, 24)+(1-x(it_, 24))*max(y(435),params(350));
residual(425) = lhs - rhs;
lhs = y(436);
rhs = y(435);
residual(426) = lhs - rhs;
lhs = params(163);
rhs = y(437);
residual(427) = lhs - rhs;
lhs = y(494);
rhs = y(435)+y(495)-y(434);
residual(428) = lhs - rhs;
lhs = y(868);
rhs = y(871);
residual(429) = lhs - rhs;
lhs = y(871);
rhs = y(870);
residual(430) = lhs - rhs;
lhs = (1+y(802)-y(810)-params(379))*T(380);
rhs = 1;
residual(431) = lhs - rhs;
lhs = y(801);
rhs = y(447)*y(911);
residual(432) = lhs - rhs;
lhs = y(876);
rhs = T(269)/y(834);
residual(433) = lhs - rhs;
lhs = y(813);
rhs = x(it_, 109)+x(it_, 110)+x(it_, 111);
residual(434) = lhs - rhs;
lhs = y(786);
rhs = params(42)*params(382)*exp(y(820)+y(812)+y(811));
residual(435) = lhs - rhs;
lhs = y(753);
rhs = 1;
residual(436) = lhs - rhs;
lhs = (1+(steady_state(422)))*y(874)/exp(params(57)+params(58));
rhs = y(874)+(steady_state(508))*(steady_state(523));
residual(437) = lhs - rhs;
lhs = y(751);
rhs = y(752);
residual(438) = lhs - rhs;
lhs = T(136)*T(380);
rhs = 1;
residual(439) = lhs - rhs;
lhs = y(852);
rhs = y(849)-y(836)/y(837)*y(835)-T(100)*y(830);
residual(440) = lhs - rhs;
lhs = y(760);
rhs = log(y(830)/T(271));
residual(441) = lhs - rhs;
lhs = y(903);
rhs = log(y(830)/(steady_state(521)*steady_state(516)));
residual(442) = lhs - rhs;
lhs = y(904);
rhs = log(y(829)*y(830)/(steady_state(521)*steady_state(516)));
residual(443) = lhs - rhs;
lhs = (1+y(800)-params(427)+y(819))*T(380);
rhs = 1;
residual(444) = lhs - rhs;
lhs = y(763);
rhs = log(T(309))-log(T(310));
residual(445) = lhs - rhs;
lhs = (y(800)-params(426))*(1-params(21))+params(21)*y(806);
rhs = (1-params(21))*(y(773)+params(433)*(y(171)-params(426))+(1-params(433))*(0.25*params(383)*(y(763)-params(431))+params(384)*(y(793)+y(169)+y(294)+y(295)-log(y(847)/(T(263)*y(298))))+params(385)*(log(0.25*(y(204)*T(138)+T(225)*y(299)+T(227)*y(300)+T(263)*y(301)))-log(0.25*(T(263)*y(298)+y(202)*T(138)+T(225)*y(296)+T(227)*y(297))))));
residual(446) = lhs - rhs;
lhs = y(754);
rhs = T(101)-(1-params(398));
residual(447) = lhs - rhs;
lhs = y(831);
rhs = y(830)+(1-params(398))*T(273);
residual(448) = lhs - rhs;
lhs = T(387)*T(390);
rhs = y(755);
residual(449) = lhs - rhs;
lhs = (y(771)+y(830)+y(750)*params(396))/T(273)-y(754);
rhs = y(758)*(params(418)*(T(274)-y(754))-params(417))+T(102)*T(395);
residual(450) = lhs - rhs;
lhs = y(855);
rhs = y(849)-y(836)/y(837)*y(835);
residual(451) = lhs - rhs;
lhs = y(758);
rhs = params(415)-params(416)*T(274);
residual(452) = lhs - rhs;
lhs = y(750);
rhs = x(it_, 104);
residual(453) = lhs - rhs;
lhs = y(849)*(1-params(373))*y(761)/y(756);
rhs = (params(399)+params(400)*(y(756)-1))*T(100)*T(273);
residual(454) = lhs - rhs;
lhs = y(759);
rhs = log(T(103));
residual(455) = lhs - rhs;
lhs = y(909);
rhs = x(it_, 98)+log(T(314));
residual(456) = lhs - rhs;
lhs = y(902);
rhs = log(y(831)/((steady_state(521))*(steady_state(516))));
residual(457) = lhs - rhs;
lhs = T(278)*T(400);
rhs = y(836)/y(878);
residual(458) = lhs - rhs;
lhs = y(817);
rhs = x(it_, 119)/(1-params(393))/(steady_state(507));
residual(459) = lhs - rhs;
lhs = y(761)*exp((-x(it_, 121)));
rhs = y(836)*y(835)/(y(837)*y(849)*params(373))+y(835)*params(388)/(y(194)*T(153))*(y(835)-T(1)*y(194)*T(153))/(y(194)*T(153))-T(397)*T(403);
residual(460) = lhs - rhs;
lhs = y(761)*params(391);
rhs = params(391)*x(it_, 118)+params(391)-1+params(391)*params(389)*(y(766)+x(it_, 120)-params(57))*T(282)-T(381)*T(404)*T(406);
residual(461) = lhs - rhs;
lhs = y(849);
rhs = T(107)*T(283);
residual(462) = lhs - rhs;
lhs = y(816);
rhs = params(7)*x(it_, 131)+params(50)*x(it_, 99);
residual(463) = lhs - rhs;
lhs = y(764)-params(447)*y(156);
rhs = (1-params(447))*(y(158)-params(57));
residual(464) = lhs - rhs;
lhs = y(749);
rhs = log(T(284));
residual(465) = lhs - rhs;
lhs = y(768);
rhs = log(y(842)/(y(198)*T(139)));
residual(466) = lhs - rhs;
lhs = y(785);
rhs = log(y(841)/(y(197)*T(139)));
residual(467) = lhs - rhs;
lhs = y(769);
rhs = log(y(844)/(y(200)*T(139)));
residual(468) = lhs - rhs;
lhs = y(767);
rhs = log(y(845)/(y(201)*T(139)));
residual(469) = lhs - rhs;
lhs = y(762);
rhs = log(T(281));
residual(470) = lhs - rhs;
lhs = y(837)*y(849)+T(109);
rhs = y(829)*y(830)+y(878)*y(877)+y(869);
residual(471) = lhs - rhs;
lhs = y(845);
rhs = (y(837)*y(837)*y(849)+y(841)*T(109))/(y(850)*y(845));
residual(472) = lhs - rhs;
lhs = y(850)*y(845);
rhs = y(829)*y(830)+y(878)*y(877)+y(869);
residual(473) = lhs - rhs;
lhs = y(847);
rhs = T(110)*T(285);
residual(474) = lhs - rhs;
lhs = y(872);
rhs = y(850)*y(845);
residual(475) = lhs - rhs;
residual(476) = y(826);
lhs = y(822)-params(472)*y(182);
rhs = params(476)*(log(T(286))-log(T(315)));
residual(477) = lhs - rhs;
lhs = y(824)-params(472)*y(184);
rhs = params(476)*(log(T(287))-log(T(316)));
residual(478) = lhs - rhs;
lhs = y(823)-params(472)*y(183);
rhs = params(476)*(log(T(288))-log(T(317)));
residual(479) = lhs - rhs;
lhs = exp(y(821));
rhs = (1+y(826))*(1+params(508)*y(827)-y(506)*params(517)*(1-params(339))*params(519));
residual(480) = lhs - rhs;
lhs = y(935);
rhs = y(926)*y(925);
residual(481) = lhs - rhs;
lhs = y(859);
rhs = y(860)+y(861)+y(853);
residual(482) = lhs - rhs;
lhs = y(856);
rhs = T(111)*(y(932)*y(934)/y(837)-y(932)*y(926)*y(925)/y(837)-T(291));
residual(483) = lhs - rhs;
lhs = y(858);
rhs = T(111)*T(291);
residual(484) = lhs - rhs;
lhs = y(857);
rhs = y(922)*y(933)/y(837)-y(922)*y(846)/y(837)*exp(y(929))-T(113)*T(293);
residual(485) = lhs - rhs;
lhs = y(934);
rhs = T(114)*T(115)-T(289)*T(295)+T(410)*T(411);
residual(486) = lhs - rhs;
lhs = y(933);
rhs = T(117)*T(118)*exp(y(929)+y(931)+y(930))-T(292)*T(296)+T(414)*T(415);
residual(487) = lhs - rhs;
lhs = y(846)*y(848);
rhs = y(843)*y(864)+y(842)*y(861);
residual(488) = lhs - rhs;
lhs = y(878)*y(877);
rhs = y(843)*y(863)+y(842)*y(860);
residual(489) = lhs - rhs;
lhs = y(829)*y(830);
rhs = y(843)*y(854)+y(842)*y(853);
residual(490) = lhs - rhs;
lhs = y(863);
rhs = y(877)*T(119)*(1-params(493))*T(120)-(y(821)+y(822)+y(818))*(steady_state(531));
residual(491) = lhs - rhs;
lhs = y(864);
rhs = y(848)*T(121)*(1-params(494))*T(122)-(y(821)+y(823)+y(818))*(steady_state(532));
residual(492) = lhs - rhs;
lhs = y(854);
rhs = y(830)*T(125)-(y(821)+y(824)+y(818))*(steady_state(524));
residual(493) = lhs - rhs;
lhs = y(860);
rhs = (steady_state(531))*(y(821)+y(822)+y(818)-params(458)*(y(182)+y(178)+y(181)))+y(877)*T(119)*params(493)*T(126)*(1-params(458))+params(458)*T(3)*y(207)*T(138);
residual(494) = lhs - rhs;
lhs = y(853);
rhs = (steady_state(524))*(y(821)+y(824)+y(818)-params(458)*(y(181)+y(184)+y(178)))+(1-params(458))*y(830)*T(128)+params(458)*T(3)*y(206)*T(138);
residual(495) = lhs - rhs;
lhs = y(861);
rhs = (steady_state(532))*(y(821)+y(823)+y(818)-params(458)*(y(181)+y(183)+y(178)))+(1-params(458))*y(848)*T(121)*params(494)*T(129)+params(458)*T(3)*y(208)*T(138);
residual(496) = lhs - rhs;
lhs = y(869);
rhs = T(109)+y(844)*y(848)+y(932)*y(925)*y(926)*(-T(111));
residual(497) = lhs - rhs;
lhs = y(875);
rhs = y(844)*y(848)+y(932)*y(925)*y(926)*(-T(111));
residual(498) = lhs - rhs;
lhs = y(799);
rhs = y(875)/y(872);
residual(499) = lhs - rhs;
lhs = y(840)*y(865);
rhs = y(869)+y(842)*y(859);
residual(500) = lhs - rhs;
lhs = y(840)*y(865);
rhs = y(848)*y(844)*y(844)/y(840)+y(633)*y(841)*T(111)*y(841)/y(840);
residual(501) = lhs - rhs;
lhs = log(y(833));
rhs = params(374)*(y(746)+params(23)*log(y(192)*T(265)));
residual(502) = lhs - rhs;
lhs = log(y(832));
rhs = params(412)*(y(757)+params(23)*log(y(191)*T(270)));
residual(503) = lhs - rhs;
lhs = y(766);
rhs = log(T(282));
residual(504) = lhs - rhs;
lhs = y(843);
rhs = y(837);
residual(505) = lhs - rhs;
lhs = y(862);
rhs = T(108);
residual(506) = lhs - rhs;
lhs = y(838);
rhs = (1-params(61))*y(888);
residual(507) = lhs - rhs;
lhs = y(839);
rhs = y(926)*y(601);
residual(508) = lhs - rhs;
lhs = y(841);
rhs = T(131);
residual(509) = lhs - rhs;
lhs = y(838);
rhs = y(837)*(1-params(61))/y(775);
residual(510) = lhs - rhs;
lhs = y(839);
rhs = y(837)*(1-params(61))/y(777);
residual(511) = lhs - rhs;
lhs = y(467);
rhs = params(241)*y(34)+params(16)*x(it_, 75);
residual(512) = lhs - rhs;
lhs = y(804);
rhs = y(800)-log(T(381));
residual(513) = lhs - rhs;
lhs = y(805);
rhs = y(800)-(y(749)+y(1150));
residual(514) = lhs - rhs;
lhs = y(765);
rhs = params(467)*y(157)+params(57)*(1-params(467));
residual(515) = lhs - rhs;
lhs = log(y(867));
rhs = params(50)*x(it_, 101)+y(745)+params(23)*log(y(210)*T(1)*T(138))-(params(58)-params(56))*(1-params(23));
residual(516) = lhs - rhs;
lhs = y(745);
rhs = (1-params(445)-params(444)+params(445)*params(444))*params(387)+(params(445)+params(444))*y(149)+params(50)*x(it_, 100)+params(444)*(-params(445))*y(324);
residual(517) = lhs - rhs;
lhs = y(781);
rhs = params(441)*y(165)+params(17)*x(it_, 92);
residual(518) = lhs - rhs;
lhs = y(779);
rhs = log(y(775)/y(163));
residual(519) = lhs - rhs;
lhs = log(y(775));
rhs = log(y(782));
residual(520) = lhs - rhs;
lhs = log(y(782));
rhs = y(781)+params(440)*log(y(166));
residual(521) = lhs - rhs;
lhs = y(784);
rhs = params(443)*y(168)+params(17)*x(it_, 93);
residual(522) = lhs - rhs;
lhs = y(780);
rhs = log(y(777)/y(164));
residual(523) = lhs - rhs;
lhs = log(y(777));
rhs = log(y(783));
residual(524) = lhs - rhs;
lhs = log(y(783));
rhs = y(784)+params(442)*log(y(167));
residual(525) = lhs - rhs;
lhs = log(y(866));
rhs = log(y(867)+y(816)*params(50));
residual(526) = lhs - rhs;
lhs = y(744);
rhs = log(y(866)/(y(209)*T(1)*T(138)));
residual(527) = lhs - rhs;
lhs = y(747);
rhs = params(56)*(1-params(23))+log(y(834))-params(23)*log(y(193)*T(153));
residual(528) = lhs - rhs;
lhs = y(747);
rhs = params(446)*y(150)+y(814)+params(56)*(1-params(446));
residual(529) = lhs - rhs;
lhs = y(746);
rhs = params(386);
residual(530) = lhs - rhs;
lhs = y(757);
rhs = params(405);
residual(531) = lhs - rhs;
lhs = y(748);
rhs = y(744)+y(747);
residual(532) = lhs - rhs;
lhs = y(787);
rhs = y(878)*y(877)/(y(850)*y(845));
residual(533) = lhs - rhs;
lhs = y(788);
rhs = T(109)/(y(850)*y(845));
residual(534) = lhs - rhs;
lhs = y(789);
rhs = log(y(788));
residual(535) = lhs - rhs;
lhs = y(797);
rhs = y(869)/(y(850)*y(845));
residual(536) = lhs - rhs;
lhs = y(798);
rhs = y(797)-y(170);
residual(537) = lhs - rhs;
lhs = y(790);
rhs = y(791)-y(797);
residual(538) = lhs - rhs;
lhs = y(791);
rhs = y(788)+y(844)*y(848)/(y(850)*y(845));
residual(539) = lhs - rhs;
lhs = y(851);
rhs = 4*T(313)/T(318);
residual(540) = lhs - rhs;
lhs = y(873);
rhs = T(313);
residual(541) = lhs - rhs;
lhs = y(803);
rhs = x(it_, 97)+y(800)+y(171)+y(325)+y(326);
residual(542) = lhs - rhs;
lhs = y(773);
rhs = params(432)*y(161)+params(15)*x(it_, 112);
residual(543) = lhs - rhs;
residual(544) = y(807);
residual(545) = y(808);
lhs = y(818);
rhs = y(178)*params(462)+params(19)*x(it_, 115);
residual(546) = lhs - rhs;
lhs = y(814);
rhs = params(468)*y(176)+params(18)*x(it_, 102);
residual(547) = lhs - rhs;
lhs = y(812);
rhs = params(465)*y(174)+params(48)*x(it_, 117);
residual(548) = lhs - rhs;
lhs = y(811);
rhs = params(48)*params(474)*x(it_, 116);
residual(549) = lhs - rhs;
lhs = y(815);
rhs = params(471)*y(177)+x(it_, 118)*params(49);
residual(550) = lhs - rhs;
lhs = y(809);
rhs = params(438)*y(172)+params(20)*x(it_, 122);
residual(551) = lhs - rhs;
lhs = y(810);
rhs = params(439)*y(173)+x(it_, 123);
residual(552) = lhs - rhs;
lhs = y(828);
rhs = y(187)*params(469)+params(19)*x(it_, 125);
residual(553) = lhs - rhs;
lhs = y(770);
rhs = params(408)*y(159)+params(48)*x(it_, 103);
residual(554) = lhs - rhs;
lhs = y(825);
rhs = params(409)*y(185)+params(48)*x(it_, 124);
residual(555) = lhs - rhs;
lhs = y(771);
rhs = x(it_, 105);
residual(556) = lhs - rhs;
lhs = y(772);
rhs = x(it_, 106)+x(it_, 107)+x(it_, 108);
residual(557) = lhs - rhs;
lhs = y(774)-params(454)*y(162);
rhs = params(50)*x(it_, 113)+params(452)*(y(162)-params(454)*y(327));
residual(558) = lhs - rhs;
lhs = y(819);
rhs = params(451)*y(179)+params(48)*x(it_, 126);
residual(559) = lhs - rhs;
lhs = y(820);
rhs = params(449)*y(180)+params(48)*x(it_, 127);
residual(560) = lhs - rhs;
lhs = y(842)*y(859);
rhs = y(932)*T(111)*y(934);
residual(561) = lhs - rhs;
lhs = y(930)-params(514)*y(224);
rhs = params(344)*(params(289)*(y(1)-params(146))-params(504)*(y(148)-params(387)))/(params(289)+params(504));
residual(562) = lhs - rhs;
lhs = y(931)-params(515)*y(225);
rhs = y(424)*(-params(345));
residual(563) = lhs - rhs;
lhs = y(929)-params(23)*y(223);
rhs = params(19)*x(it_, 130)+params(516)*(y(223)-params(23)*y(328));
residual(564) = lhs - rhs;
lhs = y(844)*y(848);
rhs = y(922)*y(933);
residual(565) = lhs - rhs;
lhs = y(848);
rhs = y(922);
residual(566) = lhs - rhs;
lhs = y(792);
rhs = log(y(877)/T(267));
residual(567) = lhs - rhs;
lhs = y(793);
rhs = log(y(849)/(y(204)*T(138)));
residual(568) = lhs - rhs;
lhs = y(794);
rhs = log(y(850)/(y(205)*T(138)));
residual(569) = lhs - rhs;
lhs = y(796);
rhs = y(871)/y(850)/y(845);
residual(570) = lhs - rhs;
lhs = y(932);
rhs = y(859)*params(504)*T(132)*T(133)/params(289);
residual(571) = lhs - rhs;
lhs = y(827);
rhs = params(511)*y(186)-(1-params(511))*((params(509)-params(510))*(exp(params(387))*y(210)*T(1)*T(138)-1)+params(510)*(exp(2*params(387))*T(1)*T(1)*T(225)*y(329)-1));
residual(572) = lhs - rhs;
residual(573) = 1-params(517)*exp(y(928));
lhs = y(912);
rhs = log(y(926));
residual(574) = lhs - rhs;
lhs = y(910);
rhs = y(680)+y(912)-y(890);
residual(575) = lhs - rhs;
lhs = y(879);
rhs = y(911)*y(912);
residual(576) = lhs - rhs;
lhs = y(806);
rhs = y(879)-y(214);
residual(577) = lhs - rhs;
lhs = y(880);
rhs = y(911)*y(910);
residual(578) = lhs - rhs;
lhs = y(911);
rhs = ((steady_state(593)*steady_state(604)+params(289)*steady_state(304)*steady_state(512)/params(504)+steady_state(603)*steady_state(597)*steady_state(596)*T(111))/(steady_state(513)*steady_state(530)+steady_state(521)*steady_state(516)*steady_state(462)));
residual(579) = lhs - rhs;
lhs = y(907);
rhs = x(it_, 94)+log(y(851)/(steady_state(521)));
residual(580) = lhs - rhs;
lhs = y(908);
rhs = x(it_, 95)+log(T(134));
residual(581) = lhs - rhs;
lhs = y(906);
rhs = x(it_, 96)+log(T(319));
residual(582) = lhs - rhs;
lhs = y(881);
rhs = y(892)-y(893);
residual(583) = lhs - rhs;
lhs = y(886);
rhs = y(885)-y(893);
residual(584) = lhs - rhs;
lhs = y(885);
rhs = log(y(840));
residual(585) = lhs - rhs;
lhs = y(882);
rhs = log(y(833));
residual(586) = lhs - rhs;
lhs = y(883)*params(51);
rhs = log(y(834));
residual(587) = lhs - rhs;
lhs = y(891);
rhs = log(y(845)/(steady_state(516)));
residual(588) = lhs - rhs;
lhs = y(890);
rhs = log(y(837));
residual(589) = lhs - rhs;
lhs = y(892);
rhs = log(y(844));
residual(590) = lhs - rhs;
lhs = y(893);
rhs = log(y(842));
residual(591) = lhs - rhs;
lhs = y(901);
rhs = log(y(878));
residual(592) = lhs - rhs;
lhs = y(884);
rhs = log(y(849)/y(847))+x(it_, 114);
residual(593) = lhs - rhs;
lhs = y(795);
rhs = log(y(849)/y(847));
residual(594) = lhs - rhs;
lhs = y(889);
rhs = log(y(841)/(1-params(61)));
residual(595) = lhs - rhs;
lhs = y(887);
rhs = log(y(838)/(1-params(61)));
residual(596) = lhs - rhs;
lhs = y(776);
rhs = log(y(775));
residual(597) = lhs - rhs;
lhs = y(778);
rhs = log(y(777));
residual(598) = lhs - rhs;
lhs = y(894);
rhs = log(y(877));
residual(599) = lhs - rhs;
lhs = y(895);
rhs = log(y(849));
residual(600) = lhs - rhs;
lhs = y(896);
rhs = log(y(850)/(steady_state(521)));
residual(601) = lhs - rhs;
lhs = y(897);
rhs = log(T(135));
residual(602) = lhs - rhs;
lhs = y(898);
rhs = log(y(848)/((steady_state(521))*(steady_state(516))));
residual(603) = lhs - rhs;
lhs = y(899);
rhs = log(y(844)*y(848)/((steady_state(521))*(steady_state(516))));
residual(604) = lhs - rhs;
lhs = y(900);
rhs = log(y(859));
residual(605) = lhs - rhs;
lhs = y(905);
rhs = log(y(862));
residual(606) = lhs - rhs;
lhs = y(936);
rhs = y(552)+y(1105);
residual(607) = lhs - rhs;
lhs = y(937);
rhs = y(936)+y(1151);
residual(608) = lhs - rhs;
lhs = y(938);
rhs = y(937)+y(1152);
residual(609) = lhs - rhs;
lhs = y(939);
rhs = y(655)+y(1109);
residual(610) = lhs - rhs;
lhs = y(940);
rhs = y(939)+y(1153);
residual(611) = lhs - rhs;
lhs = y(941);
rhs = y(940)+y(1154);
residual(612) = lhs - rhs;
lhs = y(942);
rhs = y(597)+y(1103);
residual(613) = lhs - rhs;
lhs = y(943);
rhs = y(942)+y(1155);
residual(614) = lhs - rhs;
lhs = y(944);
rhs = y(943)+y(1156);
residual(615) = lhs - rhs;
lhs = y(945);
rhs = y(101);
residual(616) = lhs - rhs;
lhs = y(946);
rhs = y(238);
residual(617) = lhs - rhs;
lhs = y(947);
rhs = y(239);
residual(618) = lhs - rhs;
lhs = y(948);
rhs = y(240);
residual(619) = lhs - rhs;
lhs = y(949);
rhs = y(241);
residual(620) = lhs - rhs;
lhs = y(950);
rhs = y(242);
residual(621) = lhs - rhs;
lhs = y(951);
rhs = y(90);
residual(622) = lhs - rhs;
lhs = y(952);
rhs = y(244);
residual(623) = lhs - rhs;
lhs = y(953);
rhs = y(91);
residual(624) = lhs - rhs;
lhs = y(954);
rhs = y(246);
residual(625) = lhs - rhs;
lhs = y(955);
rhs = y(247);
residual(626) = lhs - rhs;
lhs = y(956);
rhs = y(84);
residual(627) = lhs - rhs;
lhs = y(957);
rhs = y(57);
residual(628) = lhs - rhs;
lhs = y(958);
rhs = y(121);
residual(629) = lhs - rhs;
lhs = y(959);
rhs = y(107);
residual(630) = lhs - rhs;
lhs = y(960);
rhs = y(252);
residual(631) = lhs - rhs;
lhs = y(961);
rhs = y(253);
residual(632) = lhs - rhs;
lhs = y(962);
rhs = y(254);
residual(633) = lhs - rhs;
lhs = y(963);
rhs = y(137);
residual(634) = lhs - rhs;
lhs = y(964);
rhs = y(256);
residual(635) = lhs - rhs;
lhs = y(965);
rhs = y(221);
residual(636) = lhs - rhs;
lhs = y(966);
rhs = y(222);
residual(637) = lhs - rhs;
lhs = y(967);
rhs = y(127);
residual(638) = lhs - rhs;
lhs = y(968);
rhs = y(85);
residual(639) = lhs - rhs;
lhs = y(969);
rhs = y(116);
residual(640) = lhs - rhs;
lhs = y(970);
rhs = y(129);
residual(641) = lhs - rhs;
lhs = y(971);
rhs = y(87);
residual(642) = lhs - rhs;
lhs = y(972);
rhs = y(131);
residual(643) = lhs - rhs;
lhs = y(973);
rhs = y(68);
residual(644) = lhs - rhs;
lhs = y(974);
rhs = y(136);
residual(645) = lhs - rhs;
lhs = y(975);
rhs = y(132);
residual(646) = lhs - rhs;
lhs = y(976);
rhs = y(141);
residual(647) = lhs - rhs;
lhs = y(977);
rhs = y(95);
residual(648) = lhs - rhs;
lhs = y(978);
rhs = y(220);
residual(649) = lhs - rhs;
lhs = y(979);
rhs = y(112);
residual(650) = lhs - rhs;
lhs = y(980);
rhs = y(96);
residual(651) = lhs - rhs;
lhs = y(981);
rhs = y(66);
residual(652) = lhs - rhs;
lhs = y(982);
rhs = y(14);
residual(653) = lhs - rhs;
lhs = y(983);
rhs = y(275);
residual(654) = lhs - rhs;
lhs = y(984);
rhs = y(104);
residual(655) = lhs - rhs;
lhs = y(985);
rhs = y(277);
residual(656) = lhs - rhs;
lhs = y(986);
rhs = y(114);
residual(657) = lhs - rhs;
lhs = y(987);
rhs = y(279);
residual(658) = lhs - rhs;
lhs = y(988);
rhs = y(67);
residual(659) = lhs - rhs;
lhs = y(989);
rhs = y(19);
residual(660) = lhs - rhs;
lhs = y(990);
rhs = y(282);
residual(661) = lhs - rhs;
lhs = y(991);
rhs = y(140);
residual(662) = lhs - rhs;
lhs = y(992);
rhs = y(284);
residual(663) = lhs - rhs;
lhs = y(993);
rhs = y(285);
residual(664) = lhs - rhs;
lhs = y(994);
rhs = y(257);
residual(665) = lhs - rhs;
lhs = y(995);
rhs = y(213);
residual(666) = lhs - rhs;
lhs = y(996);
rhs = y(288);
residual(667) = lhs - rhs;
lhs = y(997);
rhs = y(289);
residual(668) = lhs - rhs;
lhs = y(998);
rhs = y(290);
residual(669) = lhs - rhs;
lhs = y(999);
rhs = y(291);
residual(670) = lhs - rhs;
lhs = y(1000);
rhs = y(292);
residual(671) = lhs - rhs;
lhs = y(1001);
rhs = y(169);
residual(672) = lhs - rhs;
lhs = y(1002);
rhs = y(294);
residual(673) = lhs - rhs;
lhs = y(1003);
rhs = y(202);
residual(674) = lhs - rhs;
lhs = y(1004);
rhs = y(296);
residual(675) = lhs - rhs;
lhs = y(1005);
rhs = y(297);
residual(676) = lhs - rhs;
lhs = y(1006);
rhs = y(204);
residual(677) = lhs - rhs;
lhs = y(1007);
rhs = y(299);
residual(678) = lhs - rhs;
lhs = y(1008);
rhs = y(300);
residual(679) = lhs - rhs;
lhs = y(1009);
rhs = y(160);
residual(680) = lhs - rhs;
lhs = y(1010);
rhs = y(152);
residual(681) = lhs - rhs;
lhs = y(1011);
rhs = y(189);
residual(682) = lhs - rhs;
lhs = y(1012);
rhs = y(188);
residual(683) = lhs - rhs;
lhs = y(1013);
rhs = y(304);
residual(684) = lhs - rhs;
lhs = y(1014);
rhs = y(305);
residual(685) = lhs - rhs;
lhs = y(1015);
rhs = y(205);
residual(686) = lhs - rhs;
lhs = y(1016);
rhs = y(201);
residual(687) = lhs - rhs;
lhs = y(1017);
rhs = y(308);
residual(688) = lhs - rhs;
lhs = y(1018);
rhs = y(309);
residual(689) = lhs - rhs;
lhs = y(1019);
rhs = y(207);
residual(690) = lhs - rhs;
lhs = y(1020);
rhs = y(192);
residual(691) = lhs - rhs;
lhs = y(1021);
rhs = y(212);
residual(692) = lhs - rhs;
lhs = y(1022);
rhs = y(206);
residual(693) = lhs - rhs;
lhs = y(1023);
rhs = y(191);
residual(694) = lhs - rhs;
lhs = y(1024);
rhs = y(208);
residual(695) = lhs - rhs;
lhs = y(1025);
rhs = y(187);
residual(696) = lhs - rhs;
lhs = y(1026);
rhs = y(203);
residual(697) = lhs - rhs;
lhs = y(1027);
rhs = y(228);
residual(698) = lhs - rhs;
lhs = y(1028);
rhs = y(199);
residual(699) = lhs - rhs;
lhs = y(1029);
rhs = y(227);
residual(700) = lhs - rhs;
lhs = y(1030);
rhs = y(216);
residual(701) = lhs - rhs;
lhs = y(1031);
rhs = y(149);
residual(702) = lhs - rhs;
lhs = y(1032);
rhs = y(171);
residual(703) = lhs - rhs;
lhs = y(1033);
rhs = y(325);
residual(704) = lhs - rhs;
lhs = y(1034);
rhs = y(162);
residual(705) = lhs - rhs;
lhs = y(1035);
rhs = y(223);
residual(706) = lhs - rhs;
lhs = y(1036);
rhs = y(210);
residual(707) = lhs - rhs;
lhs = y(1037);
rhs = y(444)-y(26);
residual(708) = lhs - rhs;
lhs = y(1038);
rhs = y(609)-y(115);
residual(709) = lhs - rhs;
lhs = y(1039);
rhs = y(590)-y(101);
residual(710) = lhs - rhs;
lhs = y(1040);
rhs = y(424)-y(20);
residual(711) = lhs - rhs;
lhs = y(1041);
rhs = y(587)-y(100);
residual(712) = lhs - rhs;
lhs = y(1042);
rhs = y(360)-y(10);
residual(713) = lhs - rhs;
lhs = y(1043);
rhs = y(597)-y(107);
residual(714) = lhs - rhs;
lhs = y(1044);
rhs = y(534)-y(83);
residual(715) = lhs - rhs;
lhs = y(1045);
rhs = y(552)-y(91);
residual(716) = lhs - rhs;
lhs = y(1046);
rhs = y(938)-y(231);
residual(717) = lhs - rhs;
lhs = y(1047);
rhs = y(941)-y(234);
residual(718) = lhs - rhs;
lhs = y(1048);
rhs = y(944)-y(237);
residual(719) = lhs - rhs;
lhs = y(1049);
rhs = y(655)-y(137);
residual(720) = lhs - rhs;
lhs = y(1050);
rhs = y(596)-y(106);
residual(721) = lhs - rhs;
lhs = y(1051);
rhs = y(456)-y(30);
residual(722) = lhs - rhs;
lhs = y(1052);
rhs = y(516)-y(70);
residual(723) = lhs - rhs;
lhs = y(1053);
rhs = y(656)-y(138);
residual(724) = lhs - rhs;
lhs = y(1054);
rhs = y(450)-y(28);
residual(725) = lhs - rhs;
lhs = y(1055);
rhs = y(458)-y(31);
residual(726) = lhs - rhs;
lhs = y(1056);
rhs = y(535)-y(84);
residual(727) = lhs - rhs;
lhs = y(1057);
rhs = y(499)-y(57);
residual(728) = lhs - rhs;
lhs = y(1058);
rhs = y(619)-y(121);
residual(729) = lhs - rhs;
lhs = y(1059);
rhs = y(355)-y(8);
residual(730) = lhs - rhs;
lhs = y(1060);
rhs = y(925)-y(221);
residual(731) = lhs - rhs;
lhs = y(1061);
rhs = y(932)-y(226);
residual(732) = lhs - rhs;
lhs = y(1062);
rhs = y(926)-y(222);
residual(733) = lhs - rhs;
lhs = y(1063);
rhs = y(923)-y(220);
residual(734) = lhs - rhs;
lhs = y(1064);
rhs = y(922)-y(219);
residual(735) = lhs - rhs;
lhs = y(1065);
rhs = y(603)-y(112);
residual(736) = lhs - rhs;
lhs = y(1066);
rhs = y(561)-y(97);
residual(737) = lhs - rhs;
lhs = y(1067);
rhs = y(356)-y(9);
residual(738) = lhs - rhs;
lhs = y(1068);
rhs = y(351)-y(6);
residual(739) = lhs - rhs;
lhs = y(1069);
rhs = y(348)-y(5);
residual(740) = lhs - rhs;
lhs = y(1070);
rhs = y(915)-y(215);
residual(741) = lhs - rhs;
lhs = y(1071);
rhs = y(442)-y(24);
residual(742) = lhs - rhs;
lhs = y(1072);
rhs = y(878)-y(213);
residual(743) = lhs - rhs;
lhs = y(1073);
rhs = y(876)-y(211);
residual(744) = lhs - rhs;
lhs = y(1074);
rhs = y(837)-y(196);
residual(745) = lhs - rhs;
lhs = y(1075);
rhs = y(829)-y(188);
residual(746) = lhs - rhs;
lhs = y(1076);
rhs = y(755)-y(153);
residual(747) = lhs - rhs;
lhs = y(1077);
rhs = y(849)-y(204);
residual(748) = lhs - rhs;
lhs = y(1078);
rhs = y(761)-y(155);
residual(749) = lhs - rhs;
lhs = y(1079);
rhs = y(756)-y(154);
residual(750) = lhs - rhs;
lhs = y(1080);
rhs = y(771)-y(160);
residual(751) = lhs - rhs;
lhs = y(1081);
rhs = y(750)-y(152);
residual(752) = lhs - rhs;
lhs = y(1082);
rhs = y(830)-y(189);
residual(753) = lhs - rhs;
lhs = y(1083);
rhs = y(836)-y(195);
residual(754) = lhs - rhs;
lhs = y(1084);
rhs = y(835)-y(194);
residual(755) = lhs - rhs;
lhs = y(1085);
rhs = y(766)-y(158);
residual(756) = lhs - rhs;
lhs = y(1086);
rhs = y(934)-y(228);
residual(757) = lhs - rhs;
lhs = y(1087);
rhs = y(843)-y(199);
residual(758) = lhs - rhs;
lhs = y(1088);
rhs = y(933)-y(227);
residual(759) = lhs - rhs;
lhs = y(1089);
rhs = y(916)-y(216);
residual(760) = lhs - rhs;
lhs = y(1090);
rhs = y(749)-y(151);
residual(761) = lhs - rhs;
lhs = y(1091);
rhs = y(936)-y(229);
residual(762) = lhs - rhs;
lhs = y(1092);
rhs = y(937)-y(230);
residual(763) = lhs - rhs;
lhs = y(1093);
rhs = y(939)-y(232);
residual(764) = lhs - rhs;
lhs = y(1094);
rhs = y(940)-y(233);
residual(765) = lhs - rhs;
lhs = y(1095);
rhs = y(942)-y(235);
residual(766) = lhs - rhs;
lhs = y(1096);
rhs = y(943)-y(236);
residual(767) = lhs - rhs;

end
